/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\10th Anniversary artifacts\DragonsEnd.cs
Lines of code: 40
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class DragonsEnd : Longsword
	{
		public override int LabelNumber{ get{ return 1079791; } }
		public override int ArtifactRarity{ get{ return 11; } }		
		
		public override int InitMinHits{ get{ return 120; } }
		public override int InitMaxHits{ get{ return 120; } }

		[Constructable]
		public DragonsEnd()
		{
			Hue = 1176;
			Slayer = SlayerName.DragonSlaying;
			Attributes.AttackChance=10;
			Attributes.WeaponDamage=60;
			WeaponAttributes.ResistFireBonus = 20;
			
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=100;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;					
			
		}
			

		public DragonsEnd( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}